# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
WANT_AUTOMAKE=1.9

#ESVN_REPO_URI="https://forgesvn1.novell.com/svn/simias/trunk/@${PV/3.7_pre/}"
#inherit autotools eutils mono subversion

inherit autotools eutils mono

DESCRIPTION="Enterprise backend for iFolder"
HOMEPAGE="http://www.ifolder.com/"
SRC_URI="mirror://sourceforge/ifolder/iFolder%20Server%20Plugins/3.8.0.3/11.1/novell-ifolder-enterprise-plugins.tar.gz -> novell-ifolder-enterprise-plugins-${PV}.tar.gz
	http://ftp.disconnected-by-peer.at/ifolder/novell-ifolder-enterprise-plugins-${PV}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
RESTRICT="mirror"

DEPEND="!net-misc/ifolder3-client-plugins
	www-apps/ifolder3-enterprise"
RDEPEND="${DEPEND}"

S="${WORKDIR}/novell-ifolder-enterprise-plugins"

src_prepare() {
	eautoreconf || die "eautoreconf failed"
}

src_configure() {
	CSC=gmcs WSDL=wsdl econf || die "configure failed"
}

src_compile() {
        emake -j1 || die "build failed"
}

src_install() {
	make DESTDIR="${D}" install || die "Error install ${PN}"
}

